%define section  free
%define jbossdir %{_localstatedir}/jboss
%define logdir   %{_localstatedir}/log
%define tmpdir   %{_localstatedir}/cache

Summary:        JBoss J2EE/EJB server
Name:           jboss
Version:        3.0.8
Release:        2jpp
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://www.jboss.org/
Source0:        http://download.sourceforge.net/jboss/jboss-3.0.8-src.tgz
Source1:        %{name}.init
# Not in use, but let's keep this around.
Source2:        %{name}.logrotate
Source3:        %{name}.conf
Source4:        %{name}.catalog
Source5:        %{name}-all.properties
Source6:        %{name}-default.properties
Source7:        %{name}-minimal.properties
Patch0:         %{name}-jpackage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  ant, ant-optional, avalon-excalibur, bcel
BuildRequires:  gnu.getopt, gnu.regexp, jakarta-commons-logging
BuildRequires:  oldjdom, junit, log4j, servlet23, xalan-j2, xerces-j2
BuildRequires:  xml-commons-apis, jakarta-commons-collections
BuildRequires:  jpackage-utils >= 0:1.5, crimson
#BuildRequires: oldbsf, soap, saxon, javacc
Requires:       ant, bcel, gnu.getopt, gnu.regexp
Requires:       jakarta-commons-logging, log4j, servlet23, xalan-j2
Requires:       xml-commons-apis, /lib/lsb/init-functions, crimson

%description
JBoss was started in March 1999. Now reaching the 3.0 series JBoss is
a mature appserver. It has grown way beyond its original scope. While
JBoss started as, and still is, an EJB container, today JBoss does the
full J2EE stack and beyond J2EE, it is a full-fledged award winning
java app-server downloaded more than 150,000 times a month. It is the
template of things to come.

See <http://www.jboss.org/> for more information.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1

# Replace selected jars with JPackage ones.
#
# *** Review this list between releases! ***
#
# To do that, run the prepare section (without --clean), cd to BUILD/jboss*
# and do a "find . -type f -name '*.jar'" (that won't pick up symlinked ones).
# Also check that there are no dangling leftover symlinks from previous
# versions.

ln -sf %{_javadir}/ant.jar tools/lib/ant.jar
ln -sf %{_javadir}/ant-optional.jar tools/lib/optional.jar
ln -sf %{_javadir}/avalon-excalibur.jar \
  thirdparty/apache/excalibur/lib/clutil.jar
ln -sf %{_javadir}/bcel.jar thirdparty/apache/bcel/lib/bcel.jar
ln -sf %{_javadir}/commons-collections.jar \
  thirdparty/apache/commons/lib/commons-collections.jar
ln -sf %{_javadir}/commons-logging.jar \
  thirdparty/apache/commons/lib/commons-logging.jar
#ln -sf %{_javadir}/oldbsf.jar tools/lib/bsf.jar
#ln -sf %{_javadir}/oldbsf.jar thirdparty/ibm/bsf/lib/bsf.jar
ln -sf %{_javadir}/crimson.jar thirdparty/sun/jaxp/lib/crimson.jar
ln -sf %{_javadir}/crimson.jar tools/lib/crimson.jar
ln -sf %{_javadir}/gnu.getopt.jar thirdparty/gnu/getopt/lib/getopt.jar
ln -sf %{_javadir}/gnu.regexp.jar thirdparty/gnu/regexp/lib/gnu-regexp.jar
ln -sf %{_javadir}/oldjdom.jar thirdparty/jdom/beta-7/lib/jdom.jar
ln -sf %{_javadir}/junit.jar tools/lib/junit.jar
ln -sf %{_javadir}/junit.jar thirdparty/junit/junit/lib/junit.jar
ln -sf %{_javadir}/log4j.jar thirdparty/apache/log4j/lib/log4j.jar
ln -sf %{_javadir}/log4j.jar tools/lib/log4j-core.jar
#ln -sf %{_javadir}/saxon.jar tools/lib/saxon.jar
ln -sf %{_javadir}/servletapi4.jar thirdparty/sun/servlet/lib/servlet.jar
#ln -sf %{_javadir}/soap.jar \
#  testsuite/src/resources/web/html/jbosstest/WEB-INF/lib/soap-2_2.jar
ln -sf %{_javadir}/xalan-j2.jar thirdparty/sun/jaxp/lib/xalan.jar
ln -sf %{_javadir}/xalan-j2.jar tools/lib/xalan.jar
ln -sf %{_javadir}/xerces-j2.jar thirdparty/apache/xerces/lib/xercesImpl.jar
ln -sf %{_javadir}/xerces-j2.jar tools/lib/xercesImpl.jar
ln -sf %{_javadir}/xml-commons-apis.jar \
  thirdparty/apache/xerces/lib/xmlParserAPIs.jar
ln -sf %{_javadir}/xml-commons-apis.jar thirdparty/sun/jaxp/lib/jaxp.jar
# xml-commons-apis has sax2-ext, sax2 inside (this may be redundant, though)
ln -sf %{_javadir}/xml-commons-apis.jar thirdparty/xml/sax/lib/sax2.jar
ln -sf %{_javadir}/xml-commons-apis.jar thirdparty/xml/sax/lib/sax2-ext.jar
ln -sf %{_javadir}/xml-commons-apis.jar tools/lib/jaxp.jar
ln -sf %{_javadir}/xml-commons-apis.jar tools/lib/xml-apis.jar

# Some stuff to take a look at in future releases:
# thirdparty/apache/axis/lib/axis.jar
# thirdparty/exolab/castor/lib/castor.jar
# *** using our tyrex-1.0-1jpp will cause the server not to boot cleanly
# thirdparty/exolab/tyrex/lib/tyrex.jar
# thirdparty/gjt/jpl-util/lib/jpl-pattern.jar
# thirdparty/gjt/jpl-util/lib/jpl-util.jar
# thirdparty/hsqldb/hsqldb/lib/hsqldb.jar
# *** needs an older (?) wsdl4j than we have (1.1 doesn't work)
# thirdparty/ibm/wsdl4j/lib/wsdl4j.jar
# thirdparty/jacorb/jacorb/lib/jacorb.jar
# *** needs a version tagged with JG_2_0_8_JBOSS in JG's CVS
# thirdparty/javagroups/javagroups/lib/javagroups-2.0.jar
# thirdparty/junitejb/junitejb/lib/junitejb.jar
# thirdparty/oswego/concurrent/lib/concurrent.jar
# thirdparty/techtrader/tt-bytecode/lib/tt-bytecode.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-ejb-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-java-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-jboss-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-jdo-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-jmx-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-web-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-xdoclet-module-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-xjavadoc-jb3.jar
# thirdparty/xdoclet/xdoclet/lib/xdoclet-xjavadoc-uc-jb3.jar
# tools/lib/JavaStyle.jar
# tools/lib/pretty.jar
# tools/lib/remote-mbeanserver.jar
# *** needs javacc 2.x, which isn't downloadable any more :(
# thirdparty/sun/javacc/lib/JavaCC.zip
# ...and various non-freebies in thirdparty/sun/*

# -----------------------------------------------------------------------------

%build

# - Must use build.sh, can't build with our ant script.
# - I haven't been able to build with IBM's 1.3, Sun's 1.3+ works ok.

export JAVA_HOME="%java_home"
export PATH="$JAVA_HOME/bin:$PATH"
export CLASSPATH=$(build-classpath xml-commons-apis jaxp_parser_impl)

cd build
install -m 644 etc/local.properties-production local.properties
echo "build.compiler=modern"   >> local.properties
# The following applies to at least Java 1.3.x versions:
echo "build.sysclasspath=last" >> local.properties
sh ./build.sh -Dbuild.id=`date -u +%Y%m%d%H%M`_%{version}-%{release}

# TODO: javadocs

# TODO: Unit tests reports would be nice to include, maybe:
# - start up JBoss (using the "all" config) and hardcoded ports in the tests:
#   JETTY_PORT=8080 JETTY_PORT_SSL=8443 JETTY_PORT_AJP=8009 ./run.sh -c all
# - cd to testsuite
# - LANG=C JAVA_HOME=/usr/lib/jvm/java sh ./build.sh tests

# Copy DTD catalog into place
install -m 644 %{SOURCE4} output/%{name}-%{version}/docs/dtd/catalog

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT{%{jbossdir},%{_initrddir}}
# %{_sysconfdir}/logrotate.d}

cp -a build/output/%{name}-%{version}/{bin,client,lib,server} \
  $RPM_BUILD_ROOT%{jbossdir}/
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs
rm $RPM_BUILD_ROOT%{jbossdir}/bin/{jboss_init_redhat.sh,*.bat}

for server in all default minimal; do
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/jboss/$server
  install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/jboss/$server
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/db
  ln -s %{logdir}/jboss/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
done

sed -e 's;/var/cache/jboss;%{tmpdir}/jboss;' < %{SOURCE5} \
  > $RPM_BUILD_ROOT/%{jbossdir}/server/all/conf/server.properties
sed -e 's;/var/cache/jboss;%{tmpdir}/jboss;' < %{SOURCE6} \
  > $RPM_BUILD_ROOT/%{jbossdir}/server/default/conf/server.properties
sed -e 's;/var/cache/jboss;%{tmpdir}/jboss;' < %{SOURCE7} \
  > $RPM_BUILD_ROOT/%{jbossdir}/server/minimal/conf/server.properties

# @@@ TODO: use a find script to generate filelists for files section?

sed -e 's;__VAR__;%{_localstatedir};g' \
  -e 's;__INITDIR__;%{_initrddir};g' \
  -e 's;__ETC__;%{_sysconfdir};g' \
  < %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/jboss

# sed -e 's;__JBOSS_HOME__;%{jbossdir};g' \
#   < %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/jboss

sed -e 's;__JBOSS_HOME__;%{jbossdir};g' \
  -e 's;__ETC__;%{_sysconfdir};g' \
  -e 's;__JAVA_FUNCTIONS__;%{_datadir}/java-utils/java-functions;g' \
  < %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/jboss.conf

cd $RPM_BUILD_ROOT%{jbossdir}/lib
ln -sf %{_javadir}/crimson.jar crimson.jar
ln -sf %{_javadir}/gnu.getopt.jar getopt.jar
ln -sf %{_javadir}/gnu.regexp.jar gnu-regexp.jar
ln -sf %{_javadir}/xml-commons-apis.jar jaxp.jar
# Note: not replacing lib/log4j-boot.jar with our (full) one.
cd $RPM_BUILD_ROOT%{jbossdir}/client
ln -sf %{_javadir}/log4j.jar log4j.jar
ln -sf ../lib/gnu-regexp.jar gnu-regexp.jar
cd $RPM_BUILD_ROOT%{jbossdir}/server/all/lib
for jar in *.jar; do
  if [ -e ../../../client/$jar ]; then
    ln -sf ../../../client/$jar $jar
  fi
done
ln -sf %{_javadir}/ant.jar ant.jar
ln -sf %{_javadir}/bcel.jar bcel.jar
ln -sf %{_javadir}/commons-logging.jar commons-logging.jar
ln -sf %{_javadir}/servletapi4.jar javax.servlet.jar
ln -sf %{_javadir}/xalan-j2.jar xalan.jar

cd $RPM_BUILD_ROOT%{jbossdir}/server/default/lib
for jar in *.jar; do
  if [ -e ../../all/lib/$jar ]; then
    ln -sf ../../all/lib/$jar $jar
  fi
done
cd $RPM_BUILD_ROOT%{jbossdir}/server/minimal/lib
for jar in *.jar; do
  if [ -e ../../all/lib/$jar ]; then
    ln -sf ../../all/lib/$jar $jar
  fi
done

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%pre
JBOSS_SHELL=/bin/false
[ -x /sbin/nologin ] && JBOSS_SHELL=/sbin/nologin
groupadd -r jboss 2>/dev/null || :
useradd -c JBoss -r -s $JBOSS_SHELL -d %{jbossdir} -g jboss jboss 2>/dev/null || :

%preun
if [ "$1" = 0 ]; then
  # on erase
  %{_initrddir}/jboss stop > /dev/null 2>&1 || :
  chkconfig --del jboss
fi

%post
chkconfig --add jboss || :
# We need this because the server/log dirs are ghosts (which in turn
# we need for smooth upgrade experience from previous versions).
for server in all default minimal; do
  if [ ! -e %{jbossdir}/server/$server/log ]; then
    ln -sf %{logdir}/jboss/$server %{jbossdir}/server/$server/log
  fi
done
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_docdir}/%{name}-%{version}/dtd/catalog > /dev/null || :
fi

%postun
if [ "$1" -ge 1 ]; then
  # on upgrade
  %{_initrddir}/jboss condrestart >/dev/null 2>&1
fi
if [ "$1" = 0 ]; then
  # on erase
  userdel jboss > /dev/null 2>&1 || :
  groupdel jboss > /dev/null 2>&1 || :
fi
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_docdir}/%{name}-%{version}/dtd/catalog > /dev/null || :
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc build/output/%{name}-%{version}/docs/*

%config(noreplace) %attr(0755,root,root) %{_initrddir}/jboss
%config(noreplace) %{_sysconfdir}/jboss.conf
# %config %{_sysconfdir}/logrotate.d/jboss
%dir %{jbossdir}
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,root,root) %{jbossdir}/bin/*.sh
%{jbossdir}/docs
%{jbossdir}/lib
%dir %{jbossdir}/server
%dir %{tmpdir}/jboss
%attr(-,jboss,jboss) %{tmpdir}/jboss/*
%dir %{logdir}/jboss
%attr(-,jboss,jboss) %{logdir}/jboss/*

# jboss/client dir
%dir %{jbossdir}/client
%{jbossdir}/client/*.jar
%config(noreplace) %{jbossdir}/client/*.conf
%config(noreplace) %{jbossdir}/client/*.xml

# jboss/server/all
%attr(-,jboss,jboss) %dir %{jbossdir}/server/all
%config(noreplace) %{jbossdir}/server/all/conf
# Need write access to this.  Listed twice (see above) but we don't care :)
%attr(-,jboss,jboss) %config(noreplace) %{jbossdir}/server/all/conf/jbossmq-state.xml
%dir %{jbossdir}/server/all/deploy
%config(noreplace) %{jbossdir}/server/all/deploy/*.xml
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/all/db
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/all/log

%{jbossdir}/server/all/deploy/*.jar
%{jbossdir}/server/all/deploy/*.rar
%{jbossdir}/server/all/deploy/jboss-jca.sar
%{jbossdir}/server/all/deploy/jboss-net.sar
%{jbossdir}/server/all/deploy/jbossha-httpsession.sar
%{jbossdir}/server/all/deploy/jmx-ejb-connector-server.sar
%{jbossdir}/server/all/deploy/jmx-invoker-adaptor-server.sar

%dir %{jbossdir}/server/all/deploy/http-invoker.sar
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/META-INF
%{jbossdir}/server/all/deploy/http-invoker.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/all/deploy/http-invoker.sar/META-INF/*.xml
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war
%{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/META-INF
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF
%config(noreplace) %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/*.xml
%dir %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/*.properties
%{jbossdir}/server/all/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org

%dir %{jbossdir}/server/all/deploy/jbossweb.sar
%{jbossdir}/server/all/deploy/jbossweb.sar/*.?ar
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/*.xml
%dir %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF
%{jbossdir}/server/all/deploy/jbossweb.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/all/deploy/jbossweb.sar/META-INF/*.xml

%dir %{jbossdir}/server/all/deploy/jmx-console.war
%{jbossdir}/server/all/deploy/jmx-console.war/*.jsp
%{jbossdir}/server/all/deploy/jmx-console.war/*.css
%{jbossdir}/server/all/deploy/jmx-console.war/images
%{jbossdir}/server/all/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/*.xml
%dir %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/*.properties
%{jbossdir}/server/all/deploy/jmx-console.war/WEB-INF/classes/org

%dir %{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar
%dir %{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/META-INF
%{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/all/deploy/jmx-rmi-adaptor.sar/META-INF/*.xml

%{jbossdir}/server/all/lib

# jboss/server/default
%attr(-,jboss,jboss) %dir %{jbossdir}/server/default
%config(noreplace) %{jbossdir}/server/default/conf
# Need write access to this.  Listed twice (see above) but we don't care :)
%attr(-,jboss,jboss) %config(noreplace) %{jbossdir}/server/default/conf/jbossmq-state.xml
%dir %{jbossdir}/server/default/deploy
%config(noreplace) %{jbossdir}/server/default/deploy/*.xml
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/default/db
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/default/log

%{jbossdir}/server/default/deploy/*.jar
%{jbossdir}/server/default/deploy/*.rar
%{jbossdir}/server/default/deploy/jboss-jca.sar
%{jbossdir}/server/default/deploy/jmx-ejb-connector-server.sar
%{jbossdir}/server/default/deploy/jmx-invoker-adaptor-server.sar

%dir %{jbossdir}/server/default/deploy/http-invoker.sar
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/META-INF
%{jbossdir}/server/default/deploy/http-invoker.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/META-INF/*.xml
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/META-INF
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/*.xml
%dir %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/*.properties
%{jbossdir}/server/default/deploy/http-invoker.sar/invoker.war/WEB-INF/classes/org

%dir %{jbossdir}/server/default/deploy/jbossweb.sar
%{jbossdir}/server/default/deploy/jbossweb.sar/*.?ar
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/*.xml
%dir %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF
%{jbossdir}/server/default/deploy/jbossweb.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/default/deploy/jbossweb.sar/META-INF/*.xml

%dir %{jbossdir}/server/default/deploy/jmx-console.war
%{jbossdir}/server/default/deploy/jmx-console.war/*.jsp
%{jbossdir}/server/default/deploy/jmx-console.war/*.css
%{jbossdir}/server/default/deploy/jmx-console.war/images
%{jbossdir}/server/default/deploy/jmx-console.war/META-INF
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/*.xml
%dir %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/*.properties
%{jbossdir}/server/default/deploy/jmx-console.war/WEB-INF/classes/org

%dir %{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar
%dir %{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/META-INF
%{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/META-INF/MANIFEST.MF
%config(noreplace) %{jbossdir}/server/default/deploy/jmx-rmi-adaptor.sar/META-INF/*.xml

%{jbossdir}/server/default/lib

# jboss/server/minimal
%attr(-,jboss,jboss) %dir %{jbossdir}/server/minimal
%config(noreplace) %{jbossdir}/server/minimal/conf
%dir %{jbossdir}/server/minimal/deploy
%config(noreplace) %{jbossdir}/server/minimal/deploy/*.xml
# %{jbossdir}/server/minimal/deploy/*.?ar
%{jbossdir}/server/minimal/lib
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/minimal/db
%attr(-,jboss,jboss) %ghost %{jbossdir}/server/minimal/log

# -----------------------------------------------------------------------------

%changelog
* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:3.0.8-2jpp
- use oldjdom

* Wed Jun 18 2003 Ville Skytt <ville.skytta at iki.fi> - 0:3.0.8-1jpp
- Update to 3.0.8.
- Use bundled javacc, 3.0 doesn't work and 2.x isn't downloadable any more.
- Introduce per-server config in conf/server.properties, use it to relocate
  temp dirs to /var/cache/jboss and make Jetty appreciate symlinks.

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:3.0.7-2jpp
- add epoch
- s|mkdir -p| install -d -m 755|
- s|cp -p| install -m 644|

* Wed Apr  9 2003 Ville Skytt <ville.skytta at iki.fi> - 0:3.0.7-1jpp
- Update to 3.0.7 and JPackage 1.5.
- Many shutdown and LSB improvements to init script, thanks to Marko Myllynen
  and Richard Bullington-McGuire for contributions.
- Use JPackage javacc for building.
- Include catalog for DTDs, and install it if %%{_bindir}/install-catalog
  is available.

* Wed Jan 29 2003 Ville Skytt <ville.skytta at iki.fi> - 3.0.6-1jpp
- Update to 3.0.6.
- Fix buggy shutdown.
- Built with Sun 1.3.1_07 javac.

* Thu Jan 23 2003 Ville Skytt <ville.skytta at iki.fi> - 3.0.5-2jpp
- Rebuild due to bsf -> oldbsf rename.
- Disabled logrotate for now as JBoss comes with rotating capabilities of
  its own, see JBOSS_HOME/server/*/conf/log4j.xml.
- jboss.conf comment updates.

* Sun Jan 19 2003 Ville Skytt <ville.skytta at iki.fi> - 3.0.5-1jpp
- Build from sources, using selected JPackage RPMs (not all yet).
- Reduce package size by symlinking identical jars.
- Export all necessary vars in init script.
- Init script and config files marking tweaks from Marko Myllynen.
- Built with Sun JDK 1.3.1_06 (no Jikes), doesn't build with IBM's 1.3.1.
- Relocate tmp and log dirs under %%{_var}/cache and %%{_var}/log.
- Make jboss own jbossmq-state.xml (need write access, at least for testsuite).
  *** Upgraders please note ***
    Upgrading from previous JPackage JBoss RPMs will not relocate your
    tmp and log dirs, but it will create new ones under /var.
    In a fresh installation, the server/[yourserver]/log dir is symlinked
    to /var/log/jboss/[yourserver] and server/[yourserver]/tmp to
    /var/cache/jboss/[yourserver]; you may want to do this manually.
    Nothing will be broken if you don't do this, though.

* Thu Nov 14 2002 Ville Skytt <ville.skytta at iki.fi> - 3.0.4-3jpp
- Fixed init script shutdown breakage introduced in -2jpp, thanks to
  Mikael Gueck for the fix.  The bug is only in /etc/jboss.conf, so be
  sure to take the new one from this RPM into use.

* Mon Nov 11 2002 Ville Skytt <ville.skytta at iki.fi> - 3.0.4-2jpp
- Made HTTP, HTTPS and AJP ports configurable via jboss.conf, no more
  conflicting defaults with tomcat4; thanks again to Marko Myllynen for
  the idea.

* Thu Nov  7 2002 Ville Skytt <ville.skytta at iki.fi> - 3.0.4-1jpp
- JPackagified version of Marko Myllynen's RPM contribution.  Thanks!
- Updated to 3.0.4.
- Removed fixed jboss uid (94), it would conflict with our tomcat3 user.
- Two small known problems: this uses the same default HTTP port as our
  tomcat4, and throws some exceptions at startup with Java 1.3.1
  (IBM; but starts up with it anyway).

* Tue Oct  1 2002 Marko Myllynen
- updated to version 3.0.3 final
- sleep more when shutting down

* Wed Sep  4 2002 Marko Myllynen
- updated to version 3.0.2 final

* Tue Aug 20 2002 Marko Myllynen
- updated to version 3.0.1 final

* Mon Jun 17 2002 Marko Myllynen
- run as user jboss

* Mon Jun  3 2002 Marko Myllynen
- updated to version 3.0.0 final

* Tue May 21 2002 Marko Myllynen
- updated to jboss version 3.0.0RC3

* Fri May 10 2002 Marko Myllynen
- initial version, jboss version 3.0.0RC2
- portions based on scripts by Jason Corley
